> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lunary.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a playground endpoint

> Update an existing playground endpoint



## OpenAPI

````yaml https://api.lunary.ai/v1/openapi put /v1/playground-endpoints/{id}
openapi: 3.0.0
info:
  title: Lunary API
  version: 1.0.0
servers:
  - url: https://api.lunary.ai
security: []
tags: []
paths:
  /v1/playground-endpoints/{id}:
    put:
      tags:
        - Playground Endpoints
      summary: Update a playground endpoint
      description: Update an existing playground endpoint
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: 07414860-1096-4aac-9efe-b54cb5a7d445
      responses:
        '200':
          description: Endpoint updated successfully
          content:
            application/json:
              schema:
                $ref: 73db83ee-5589-48a1-a66d-5d021db7f450
        '404':
          description: Endpoint not found
      security:
        - ProjectPrivateApiKeyAuth: []
components:
  securitySchemes:
    ProjectPrivateApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: UUID
      description: 'Use a project private API key via `Authorization: Bearer <key>`.'

````